Results 1 to 9 of 9

Thread: zlib deve install issue.

Hybrid View

  1. #1

    Default zlib deve install issue.

    When running ./configure to install Celestia 1.6.0

    I get the following error:
    checking for deflate in -lz... no
    configure: error: zlib not found.

    Reading several threads on similar errors, I found I needed to install "zlib-devel-1.2.3-33.x86_64.rpm"

    So I downloaded that file, then let YAST try to install it, and received the following:


    I don't get that error at all. YAST is looking at the very package it says is not there. The way I read this, it appears zlib-dev requires zlib-dev to be installed in order to install zlib-dev.


  2. #2
    Camalen NNTP User

    Default Re: zlib deve install issue.

    make-fixed wrote:

    > When running ./configure to install Celestia 1.6.0
    >
    > I get the following error:
    > checking for deflate in -lz... no
    > configure: error: zlib not found.
    >
    > Reading several threads on similar errors, I found I needed to install
    > "zlib-devel-1.2.3-33.x86_64.rpm"
    >
    > So I downloaded that file,


    From what place did you download that file? :-?

    > then let YAST try to install it, and
    > received the following:
    > [image: http://i31.tinypic.com/r1jzf6.jpg]
    >
    > I don't get that error at all. YAST is looking at the very package it
    > says is not there. The way I read this, it appears zlib-dev requires
    > zlib-dev to be installed in order to install zlib-dev.


    You can use YaST software management module to install "zlib-devel" package
    for your system. That rpm is available under /oss repo.

    Greetings,

    --
    Camalen

  3. #3

    Default Re: zlib deve install issue.

    From what place did you download that file?
    http://dir.filewatcher.com/d/SuSE/10...rpm.73901.html




    You can use YaST software management module to install "zlib-devel" package
    for your system. That rpm is available under /oss repo.
    When I looked at YAST, the -dev packs weren't available. It's probably due to the fact I'm on a suse10.2 box and the old online repositories are gone/dead.

    That was why I was going the rpm route... or trying to anyway.

  4. #4
    Camalen NNTP User

    Default Re: zlib deve install issue.

    make-fixed wrote:

    >> From what place did you download that file?

    > http://tinyurl.com/ma827x


    It seems the "filewatcher" server is having problems :-)

    ***
    Internal Server Error
    The server encountered an internal error or misconfiguration and was unable
    to complete your request.
    ***

    >> You can use YaST software management module to install "zlib-devel"
    >> package
    >> for your system. That rpm is available under /oss repo.

    >
    > When I looked at YAST, the -dev packs weren't available. It's probably
    > due to the fact I'm on a suse10.2 box and the old online repositories
    > are gone/dead.
    >
    > That was why I was going the rpm route... or trying to anyway.


    Mmmm, let me think... opensuse 10.2 repo should be available at some server.
    O.k. you're lucky, it is still there ;-)

    http://ftp5.gwdg.de/pub/opensuse/dis...10.2/repo/oss/

    Just add that repo and try to install it using yast software management.

    Greetings,

    --
    Camalen

  5. #5

    Default Re: zlib deve install issue.

    Thanks. That did have the dev package and I did install it.

    I'm still getting the same -zlib not found- error.


  6. #6
    Camalen NNTP User

    Default Re: zlib deve install issue.

    make-fixed wrote:

    > Thanks. That did have the dev package and I did install it.
    >
    > I'm still getting the same -zlib not found- error.
    >
    >


    So the error maybe somewhere in the ./configure file of Celestia. This seems
    to be the offending piece of code:

    ***
    rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    conftest$ac_exeext conftest.$ac_ext
    LIBS=$ac_check_lib_save_LIBS
    fi
    { echo "$as_me:$LINENO: result: $ac_cv_lib_z_deflate" >&5
    echo "${ECHO_T}$ac_cv_lib_z_deflate" >&6; }
    if test $ac_cv_lib_z_deflate = yes; then
    cat >>confdefs.h <<_ACEOF
    #define HAVE_LIBZ 1
    _ACEOF

    LIBS="-lz $LIBS"

    else
    { { echo "$as_me:$LINENO: error: zlib not found." >&5
    echo "$as_me: error: zlib not found." >&2;}
    { (exit 1); exit 1; }; }
    fi
    ***

    Not sure what to tweak here, maybe someone with programming skills can help
    O:-)

    OTOH, have you tried the version that comes bundled with openSUSE 10.2
    (celestia-1.3.2)?

    Greetings,

    --
    Camalen

  7. #7

    Default Re: zlib deve install issue.

    [QUOTE=Camalen;OTOH, have you tried the version that comes bundled with openSUSE 10.2
    (celestia-1.3.2)?

    Greetings,

    --
    Camalen[/QUOTE]

    Current version is 1.6. I have 1.5 so I'm already ahead of the 1.3 it comes bundled with. 1.6 offers a fairly 'large-ish' jump in resolution as well as other changes

    Thanks again for your help. It is appreciated.

  8. #8
    Join Date
    Jun 2008
    Location
    /dev/belgium
    Posts
    1,946

    Default Re: zlib deve install issue.

    I just downloaded Celestia 1.6.0 and ran configure on it. It works just fine here so you either didn't install something correctly (or not at all) or have messed something up

  9. #9
    Camalen NNTP User

    Default Re: zlib deve install issue.

    make-fixed wrote:

    >> Current version is 1.6. I have 1.5 so I'm already ahead of the 1.3 it
    >> comes bundled with. 1.6 offers a fairly 'large-ish' jump in resolution
    >> as well as other changes


    O.k. then :-)

    >> Thanks again for your help. It is appreciated.


    Just a thought. As you are running 64 bits OS version, did you also
    install "zlib-devel-32bit-1.2.3-33.x86_64.rpm" package? :-?

    Greetings,

    --
    Camalen

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •